<?php

require_once('class/define.class.php');
require_once('class/sql.class.php');
require_once('function/word.function.php');

// CSVに保管されている単語と類義語情報を一括登録する
$newWordArray = array();	// 単語一覧
$newKouhoArray = array();	// 候補一覧

// CSVファイル読込
$filepath = "csv/data.csv";		// ファイル名は変えないようにしてもらう
if (($fp = fopen($filepath, "r")) === false) {
	//エラー処理
	echo "error";
}
setlocale(LC_ALL, 'ja_JP');	// 文字化け回避処理
while (($lineArray = fgetcsv($fp)) !== FALSE) {
	mb_convert_variables('UTF-8', 'sjis-win', $lineArray[0]);
	mb_convert_variables('UTF-8', 'sjis-win', $lineArray[1]);
	//　CSV1行ずつ読み込んで処理実施
	$newWordArray[] = $lineArray[0];		// A列には単語
	if ( count($lineArray) == 1 ){
		//  B列にはその候補（ない場合もあり）
		$newkouhoArray[] = "";
	}else{
		$newkouhoArray[] = $lineArray[1];
	}
}
fclose($fp);	//　ファイルクローズ

// まずは単語
for ( $i=0; $i<count($newWordArray); $i++ ){

	if ( $newWordArray[$i] != "" ){

		// 単語の登録確認を先に実施する
		// 単語が既に登録されているかを確認する　⇒　WORDIDを抽出する
		$wordid = GetWordId($newWordArray[$i]);
		if ($wordid<=0){
			$wordid = RegisterWord($newWordArray[$i]);
		}

		// 既存の候補群の抽出
		$kouhoArray = array();
		$kouhoArray = WordGroupSearch($word);
		if ( !(in_array($newkouhoArray[$i],$kouhoArray) ) ){
			// 存在していない時には新規登録
			$kouhoid = GetWordId($newkouhoArray[$i]);
			if ($kouhoid<=0){
				$kouhoid = RegisterWord($newkouhoArray[$i]);
			}
			RegisterKouho($wordid,$kouhoid);
		}

	}

}

?>